//----------------------------------------------------------------------------------------
// initial_data_supercritical.cpp: Contains initial condition functions for supercritical simulations
//----------------------------------------------------------------------------------------

#include "initial_data.H"
#include "pde.H"

extern PROBLEM_DESCRIPTION problem_info;

// Initial condition for time-dependent 3D variables
// Parameters: t - time; coord - space coordinates; result - values of time-dependent unknowns
void initial_condition(real t, const real coord[d_space], real result[d_var])
{
  result[U]=1.;
  result[V]=result[W]=0.;
#ifdef BAROCLINIC_KEY
  result[T]=problem_info.T_0;
  result[S]=problem_info.S_0;
#endif
}

// Initial condition for elevation
// Parameters: t - time; coord - space coordinates; result - values of time-dependent unknowns
void initial_elevation(real t, const real coord[d_space_2d], real result[])
{
  result[0]=0.;
}
